#
# spec file for package pango (Version 1.26.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pango
BuildRequires:  gcc-c++
BuildRequires:  cairo-devel
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
%if %suse_version >= 1100
BuildRequires:  libthai-devel
%endif
License:        LGPLv2.1+
Group:          System/Libraries
# bug437293
%ifarch ppc64
Obsoletes:      pango-64bit
%endif
#
Version:        1.26.2
Release:        1.1.1
Summary:        System for Layout and Rendering of Internationalised Text
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/pango/1.18/%{name}-%{version}.tar.bz2
Source1:        README.SuSE
# PATCH-FIX-UPSTREAM pango64.patch bgo129534 -- needed for biarch. Unfortunately, this is not good enough for usptream.
Patch0:         pango64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         xorg-x11-libXrender xorg-x11-libX11 xorg-x11-libXdmcp

%description
Pango is a library for layout and rendering of text, with an emphasis
on internationalisation. It forms the core of text and font handling in
GTK+ 2.0.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%if %suse_version >= 1100

%package module-thai-lang
License:        LGPLv2.1+
Summary:        System for Layout and Rendering of Internationalised Text
Group:          System/Libraries
Provides:       locale(pango:th_TH)

%description module-thai-lang
Pango is a library for layout and rendering of text, with an emphasis
on internationalisation. It forms the core of text and font handling in
GTK+ 2.0.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%endif

%package devel
License:        LGPLv2.1+
Requires:       %{name} = %{version} cairo-devel fontconfig-devel freetype2-devel glib2-devel %(rpm -q --whatprovides XFree86-devel --queryformat '%{NAME}')
Summary:        Include files and libraries mandatory for development
Group:          Development/Libraries/GNOME
# bug437293
%ifarch ppc64
Obsoletes:      pango-devel-64bit
%endif
Obsoletes:      pango-doc <= %{version}
Provides:       pango-doc = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%prep
%setup -q
%if "%_lib" == "lib64"
cp -a %{S:1} .
%patch0 -p0
%endif

%build
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
touch $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango.modules
%if "%_lib" == "lib64"
mv $RPM_BUILD_ROOT%{_bindir}/pango-querymodules\
 $RPM_BUILD_ROOT%{_bindir}/pango-querymodules-64
mv $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango.modules\
 $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango64.modules
%endif
rm $RPM_BUILD_ROOT%{_libdir}/*/*/*/*.*a
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%if "%_lib" == "lib64"
    # it is not fatal if execution fails on 32bit systems
LD_LIBRARY_PATH=usr/%{_lib}\
    usr/bin/pango-querymodules-64\
    > etc/pango/pango64.modules || echo "pango-querymodules-64 did not run properly in postin."
%else
LD_LIBRARY_PATH=usr/%{_lib}\
    usr/bin/pango-querymodules\
    > etc/pango/pango.modules
%endif

%postun
/sbin/ldconfig
%if "%_lib" == "lib64"
if [ -x usr/bin/pango-querymodules-64 ] ; then
    # it is not fatal if execution fails on 32bit systems
    LD_LIBRARY_PATH=usr/%{_lib}\
	usr/bin/pango-querymodules-64\
	> etc/pango/pango64.modules || echo "pango-querymodules-64 did not run properly in postun."
fi
%else
if [ -x usr/bin/pango-querymodules ] ; then
    LD_LIBRARY_PATH=usr/%{_lib}\
	usr/bin/pango-querymodules\
	> etc/pango/pango.modules
fi
%endif
%if %suse_version >= 1100

%post module-thai-lang
%if "%_lib" == "lib64"
    # it is not fatal if execution fails on 32bit systems
LD_LIBRARY_PATH=usr/%{_lib}\
    usr/bin/pango-querymodules-64\
    > etc/pango/pango64.modules || echo "pango-querymodules-64 did not run properly in postin."
%else
LD_LIBRARY_PATH=usr/%{_lib}\
    usr/bin/pango-querymodules\
    > etc/pango/pango.modules
%endif

%postun module-thai-lang
%if "%_lib" == "lib64"
if [ -x usr/bin/pango-querymodules-64 ] ; then
    # it is not fatal if execution fails on 32bit systems
    LD_LIBRARY_PATH=usr/%{_lib}\
	usr/bin/pango-querymodules-64\
	> etc/pango/pango64.modules || echo "pango-querymodules-64 did not run properly in postun."
fi
%else
if [ -x usr/bin/pango-querymodules ] ; then
    LD_LIBRARY_PATH=usr/%{_lib}\
	usr/bin/pango-querymodules\
	> etc/pango/pango.modules
fi
%endif
%endif

%files
%defattr(-,root,root)
%if "%_lib" == "lib64"
%doc README AUTHORS COPYING ChangeLog README.SuSE
%else
%doc README AUTHORS COPYING ChangeLog
%endif
# evidently no longer exists
# %doc examples/HELLO.utf8
%{_bindir}/pango-*
%dir %{_libdir}/pango
%dir %{_libdir}/pango/1.6.0
%dir %{_libdir}/pango/1.6.0/modules
%{_libdir}/pango/1.6.0/modules/*.so
%if %suse_version >= 1100
%exclude %{_libdir}/pango/1.6.0/modules/pango-thai-lang.so
%endif
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%doc %{_mandir}/man?/*.*
%dir %{_sysconfdir}/pango
%{_sysconfdir}/pango/pangox.aliases
%if "%_lib" == "lib64"
%ghost %{_sysconfdir}/pango/pango64.modules
%else
%ghost %{_sysconfdir}/pango/pango.modules
%endif
%if %suse_version >= 1100

%files module-thai-lang
%defattr(-, root, root)
%{_libdir}/pango/1.6.0/modules/pango-thai-lang.so
%endif

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/pango-1.0
%{_datadir}/gtk-doc/html/pango

%changelog
* Tue Dec 15 2009 dimstar@opensuse.org
- Update to version 1.26.2:
  + Fix non-standard C++ usage
  + Fix OpenType mark ligation
  + OS X bug fix
  + bgo#602823 - void function cannot return value
  + bgo#602660 - [HB] don't use flexible arrays
  + bgo#602408 - Invalid C++ code breaks compile with Sun C++
    Compiler.
* Mon Nov 30 2009 dimstar@opensuse.org
- Update to version 1.26.1:
  + [HB] Fix lookup_flag ignoring
  + Fix leak with non-mmapped fonts
  + Allow using uninstalled glib
  + bgo#341481 - pangocairo kerning problem with nonidentity
    scaling
  + bgo#587768 - Don't build pango-view twice
  + bgo#594101 - character class data updates to support unicode
    5.1
  + bgo#596837 - Typo in pango_cairo_show_layout documentation
* Wed Sep 23 2009 lmedinas@opensuse.org
- Update to version 1.26.0:
  + bgo#595539 - Regressions in rendering certain Thai sequences
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 1.25.6:
  + Fix a couple of array overflow bugs
  + Bugs fixed:
  - bgo#593240 - updating pango to latest git master makes things
    crash
  - bgo#593231 - < c99 compiler dislikes ValueRecord
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 1.25.5:
  + Minor HarfBuzz code shuffling
  + Bugs fixed:
  - bgo#592484 - invalid write in HB
  - bgo#592194 - Fix missing _SC_PAGE_SIZE macro
* Tue Aug 18 2009 dominique-obs@leuenberger.net
- Update to version 1.25.4:
  + Fix various possible overflows in HarfBuzz
  + Improve HB font sanitizing
  + Improved win32 performance
  + Really fix ming32 build issues
  + Re-enable introspection
  + Bugs fixed:
  - bgo#592131 - Add AM_SILENT_RULES
  - bgo#592036 - integer overflow bug causes misrendering of
    Nepali characters
  - bgo#591511 - hh-blob.c does not compile using mingw on
    windows
* Thu Aug 13 2009 vuntz@novell.com
- Update to version 1.25.3:
  + Fix couple of crashers
  + Enforce -fno-exceptions better, should fix build issues for
    distros on x86-64.
  + Call mprotect() only when available.
  + New public API: pango_glyph_item_get_logical_widths()
  + Remove G_GNUC_PURE attr from pango_glyph_string_get_width()
  + Fix buffer corruption in HarfBuzz
  + Bugs fixed:
  - bgo#591413 - needs to link with libstdc++
  - bgo#591511 - hb-blob.c does not compile using mingw on
    windows
  - bgo#591557 - [HB] crash scrolling the evolution message list
  - bgo#591576 - crashed with SIGSEGV at pango
  - bgo#591465 - Gimp crashes upon opening the font selection
    dialog
* Wed Aug 12 2009 vuntz@novell.com
- Update to version 1.25.2:
  + Tweak C++ compiler options. If you get link errors with gcc on
    x86-64 about __gxx_personality_v0(), make sure your CXXFLAGS
    does not have -fexceptions. This will be fixed in Pango itself later.
  + Fix crasher with gzipped fonts. (bgo#591409)
* Mon Aug 10 2009 vuntz@novell.com
- Update to version 1.25.1:
  + Merge harfbuzz-ng: brand new OpenType Layout engine
  + Port to ATSUI backend to use CoreText instead of ATS
  + New public API:
  - pango_gravity_get_for_script_and_width()
  + Misc bug fixes
  - bgo#590042 - pango-view.1 manpage should not be gzipped
  - bgo#410169 - gravity problem with Common chars
  - bgo#589113 - Some characters rotated incorrectly in vertical
    text
  - bgo#582851 - Little fix for compiling with Cygwin
  - bgo#588060 - Fonts missing on Cygwin
* Tue Jul 21 2009 vuntz@novell.com
- Update to version 1.24.5:
  + Build introspection again
  + bgo#589133 - Firefox 3.5 complains about invalid weak
    references
  + bgo#585806 - crash during pango_fc_font_map_shutdown
  + bgo#588678 - pango crash: install a new theme from
- Add gobject-introspection-devel BuildRequires.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 1.24.4:
  + bgo#586814 - Crashes related to fontmap destruction after
    upgrade
* Mon Jun 22 2009 dominique-obs@leuenberger.net
- Update to version 1.24.3:
  + bgo#585337 - Fails to install: install: will not overwrite
    just-created
  + bgo#585164 - 'man preload' shows man page for pango-view
  + bgo#584328 - Persian sample text is not good
  + bgo#583250 - pango_font_metrics_get_approximate_char_width is
    wrong when LANG=fa_IR
* Tue Jun 16 2009 vuntz@novell.com
- Update pango64.patch to also patch Makefile.in, and drop
  autoreconf call: patching Makefile.in is simpler.
* Tue May  5 2009 vuntz@novell.com
- Update to version 1.24.2:
  + bgo#580987 – SIGFPE in pango_glyph_string_index_to_x
  + bgo#580273 – Font metrics functions incorrectly listed as
    reporting point sizes
  + bgo#579694 – Cygwin parallel-build patch
  + bgo#578944 – pango-1.24.1 fails its testsuite
  + bgo#578935 – Syntax error (missing semicolon) in
    pango/pangowin32-fontmap.c
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 1.24.1:
  + Fix a couple of crashers
  + Fix minor pangofc API semantics breakage
  + Better handle SFNT fonts in dfont containers
  + Improved docs
  + Improved Indic shaper for new Unicode 5.1 characters
  + Misc bug fixes
  + Bugs fixed in this release:
  - bgo#577952 – Error loading {GDEF,GSUB,GPOS} table 0x6EAD
  - bgo#578336 – ABI breakage from 1.22 to 1.24 in fontmap field
    of PangoFcFont
  - bgo#556132 – gnome-panel crashed with SIGSEGV in
    g_cclosure_marshal_VOID__BOXED()
  - bgo#571291 – Unicode 5.1 support in pango - Indic Lanuages
  - bgo#576298 – Fails to link pango-view if --without-x is
    specified but cairo has X11 support
* Tue Mar 17 2009 mboman@suse.de
- Update to version 1.24.0:
  + pango-view improvements:
  * pango-view -q now works without a X server
  * Ability to save to PS, EPS, PDF, and SVG files.  Filetype is
    detected from output file extension
  * New options --foreground, --background, and --annotate
  * Now installs a manual page, thanks to help2man
  + PangoFc API changes:
  * PangoFcFont now has a "fontmap" property that subclasses can
    use at construction time to setup the font->fontmap link
  * New backend-public API:
    o pango_fc_font_map_find_decoder()
  + Misc optimizations
  + Build fixes
  + Misc bug fixes
  + Bugs fixed in this release:
  * bgo#547963 - man page for pango-view
  * bgo#502804 - pango-view or pangocairo-view option to
    annotate
  * bgo#502801 - per-backend pango-view options
  * bgo#502805 - pango-view option for foreground/background
    color
  * rh#490331  - Crash of galeon in libpango
  * bgo#523166 - pango-view opens display even when invoked with
  - q
  * bgo#567160 - Share cmap cache between PangoFcFont's of the
    same face
  * rh#487593  - crash changing language in gdm
  * bgo#572662 - Remove deprecated GTK+ symbols
  * bgo#572529 - Poor -I ordering can break build
- Remove perl-XML-Parser and sgml-skel from BuildRequires
- Remove AutoReqProv since it's default
- Remove %%if statements <= 1020
- Remove xorg-x11-libs from PreReq
- Remove glibc-devel from Requires in -devel package
- Merge -doc into -devel since it only contained gtk-doc
- Remove custom CFLAGS
* Thu Feb  5 2009 mboman@suse.de
- Update to version 1.23.0:
  + Change the PangoFc font loading API to allow for lazy loading
    of fonts.
  + Add private PangoFcFontset that loads fallback fonts as needed
  + Call FcFontMatch() and only if fallback fonts are needed call
    FcFontSort().
  + Optimize HarfBuzz number of malloc calls
  + Don't malloc megs of unused memory in HarfBuzz
  + Print-out, and parse, numeric styles correctly. Things like
    "DejaVu Sans weight=100" parse as font description now.
  + New public API:
  * PANGO_ATTRIBUTE_INDEX_FROM_TEXT_BEGINNING
  * PANGO_ATTRIBUTE_INDEX_TO_TEXT_END
  * PANGO_WEIGHT_BOOK
  * PANGO_WEIGHT_ULTRAHEAVY
  * PANGO_WEIGHT_THIN
  * PANGO_WEIGHT_MEDIUM
  + Bugs fixed: bgo#569763,bgo#560792, bgo#567392, bgo#566727,
    bgo#567165, bgo#567934, bgo#549532, bgo#566726, bgo#566941,
    bgo#551469, bgo#328206, bgo#166709, bgo#166676, bgo#164001,
    bgo#384362, bgo#168085, bgo#529591, bgo#515807, bgo#512662,
    bgo#565644, bgo#469049, bgo#565379, bgo#564877
* Thu Jan 29 2009 vuntz@novell.com
- Drop pango-libtool.patch: it's already included upstream.
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Wed Dec 24 2008 mboman@suse.de
- Update to version 1.22.4:
  + Misc bug fixes
  + Improved docs
  + Bugs fixed in this release:
  - bgo#564644 – Not complete description of the
    pango_font_description_better_match function
  - bgo#563898 – Generated output is not deterministic
  - bgo#563803 – pango_renderer_finalize fails to call parent finalize
  - bgo#499626 – Space should be optional after comma in
    PangoFontDescription input string
  - bgo#499624 – Spaces around commas in PangoFontDescription family name
    should be trimmed
  - bgo#563557 – set g_get_prgname() in fc pattern
  - bgo#563356 – The input area of firefox and the blank width after text
    in gnome-menu was stretched too wide, under pango-1.22.3
  - bgo#562574 – Pangocariowin32 is leaking every cairo font it ever
    creates
* Mon Dec  8 2008 mboman@suse.de
- Update to version 1.22.3:
  + bgo#561740 – Use stack allocation for thai_engine_break
  + bgo#561779 – incorrect calculations in pango_matrix_concat
    implementation
  + Bgo#560730 – pango 1.22.2 build failure on Solaris 10, too many array
    initializers in pango-language.c
  + Write error code in capital hex.
  + Bgo#558254 – Internal reference handling messed up
  + bgo#558107 – is_monospace always returns FALSE in pangoatsui
  + bgo#557620 – pango_font_description_from_string not correct
* Tue Nov 11 2008 ro@suse.de
- SLE-11 uses PPC64 instead of PPC, adapt baselibs.conf
* Wed Oct 22 2008 mboman@suse.de
- Update to version 1.22.1:
  - Fix crasher when freeing PangoLayoutIter's
  - Fix loading of bogus OpenType anchor tables
  - Fix OpenType CursiveChain positioning
  - Bugs fixed: bgo#528272, bgo#552107, bgo#539623, bgo#555219, bgo#553345
* Tue Oct  7 2008 sbrabec@suse.cz
- Call pango-querymodules for thai-lang module (bnc#431518).
* Tue Oct  7 2008 cthiel@suse.de
- Update to version 1.22.0:
  + Improved Romanian sample text
  + Misc bug fixes
  + Bugs fixed (by number): bgo#552993, bgo#551865, and bgo#551416.
* Sun Sep 28 2008 ro@suse.de
- add gcc-c++ to buildrequires to work around libtool problem
* Wed Sep 10 2008 maw@suse.de
- Update to version 1.21.6:
  + Improve language sample strings
  + Bugs fixed: bgo#550659, bgo#549758, bgo#549522, and bgo#549520.
* Sat Aug 30 2008 mboman@novell.com
- Updated to version 1.21.5:
  + Make the reference the font->fontmap reference weak.
  + Improve pango_language_get_sample_string() to add language sample texts
    that are actually usable.
  + In pango_language_get_sample_string() use default language if provided
    language is NULL.
  + Update OpenType language-system tags to OpenType 1.5 draft intersected
    with ISO639-3 of 2008/08/04.
  + New API addition.
  + Bugs fixed: bgo#549003, bgo#143542, bgo#314094, bgo#473806,
    bgo#473805, bgo#470895, bgo#547432
* Sun Aug 24 2008 mboman@novell.com
- Updated to version 1.21.4:
  * Bugs fixed: bgo#547303, bgo#546534, bgo#431394, bgo#377948,
    bgo#377948, bgo#472625, bgo#472625, bgo#472625, bgo#540592,
    bgo#540036, bgo#380094, bgo#536017, rh#457883
  * Various fixed and new API's. See ChangeLog for complete
    details.
* Tue Jul 29 2008 sbrabec@suse.cz
- Do not build thai-lang module for older products.
* Fri Jul 18 2008 vuntz@novell.com
- Tag pango64.patch
* Tue Jul  8 2008 crrodriguez@suse.de
- fix build
* Wed Jun 18 2008 maw@suse.de
- Update to version 1.21.3:
  + Various small fixes and improvements
  + Bugs fixed: bgo#538661, bgo#536190, bgo#537258, bgo#537257,
    and bgo#537186.
* Mon Jun  9 2008 maw@suse.de
- Update to version 1.21.2:
  + Require cairo >= 1.6.4
  + Write out HarfBuzz errors as hex.
  + Add a section in the docs for bidirectional text.
  + Improved hex-box rendering in the cairo backend.
  + Add some aliases for <span> tag attributes.
  + Preserve current-point around pango_cairo_* functions.
  + Partial work to make pango_break() exactly follow Unicode TR#14
    and TR#29; the Grapheme Boundaries and Word Boundaries now work;
    for word boundaries; a new member was added to PangoLogAttr;
    sentence Boundaries and Line Breaks to follow in the next
    release
  + Err if no cairo font backends found
  + Misc bug fixes
  + New public API:
  * pango_attr_type_get_name()
  * enum PangoBidiType;
  * pango_bidi_type_get_type()
  * pango_bidi_type_for_unichar()
  * pango_layout_get_baseline()
  * pango_cairo_create_context()
  * pango_cairo_font_map_set_default()
  * New PangoLogAttr member, is_word_boundary, that implements
    UAX#29's Word Boundaries semantics; the is_word_start and
    is_word_end members will change implementation later on to
    be consitent with the word boundaries
  + Bugs fixed: bgo#515432, bgo#517119, bgo#404416, bgo#474706,
    bgo#490669, bgo#501334, bgo#514617, bgo#511183, bgo#531242,
    bgo#530757, bgo#530685, bgo#97545 (partial), bgo#510299,
    bgo#436363, and bgo#523193.
* Wed May 21 2008 sbrabec@suse.cz
- Enabled optional thai-lang module (bnc#326002).
- Fixed devel dependencies.
* Wed May  7 2008 olh@suse.de
- execution failure of pango-querymodules-64 on 32bit systems is
  not fatal (bnc#301792)
* Tue May  6 2008 schwab@suse.de
- Don't use libtool before it is created.
* Fri Apr 11 2008 maw@suse.de
- Tag pango-libtool.patch, which was added in the previous
  submission.
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  9 2008 maw@suse.de
- Update to version 1.20.1:
  + Update to Unicode Character Databse 5.1.0; this adds newentries
    to the PangoScript enum
  + Try making our OS X stuff compile with latest cairo 1.5.x
    snapshots that renamed cairo-atsui to cairo-quartz-font, as well
    as older versions
  + Minor bug fixes.
* Fri Mar 14 2008 maw@suse.de
- Update to version 1.20.0:
  + Bug fixed: bgo#518084.
* Mon Mar  3 2008 maw@suse.de
- Update to version 1.19.4:
  + Fixed blocker bug with pango_layout_set_height() and positive
    height
  + Fixed small leak in ATSUI backend
  + Improved docs
  + Bugs fixed: bgo#511172, bgo#515484, bgo#515484, bgo#517083,
    bgo#515484, bgo#504810, bgo#496244, bgo#512566, and bgo#512473.
* Thu Jan 31 2008 maw@suse.de
- Update to version 1.19.3:
- pango_layout_get_pixel_extents() and pango_layout_line_get_pixel_extents()
  now round extents to pixels inclusively.  That is, pass both ink_rect and
  logical_rect as first argument to pango_extents_to_pixels().
- Rename pango_extents_to_pixels() function arguments from @ink_rect and
  @logical_rect to @inclusive and @nearest.  Given that this API is a
  fairly new addition and not commonly used, language bindings are
  encouraged to update their argument names accordingly.  Moreover, they
  are encouraged to wrap this function as two different calls:
  extents_to_pixels_inclusive() and extents_to_pixels_nearest(), or
  similar conventions that best reflect their native language.
- HarfBuzz was relicensed to a more generous and simpler license.
  Adapt.  See pango/opentype/COPYING for the new license which is
  LGPL-compatible.
- New public API:
  pango_layout_set_height()
  This sets the height to which the #PangoLayout should be ellipsized at.
  There are two different behaviors, based on whether @height is positive or
  negative.
  If @height is positive, it will be the maximum height of the layout.  Only
  lines would be shown that would fit, and if there is any text ommitted, an
  ellipsis added.  At least one line is included in each paragraph regardless
  of how small the height value is.  A value of zero will render exactly one
  line for the entire layout.
  If @height is negative, it will be the (negative of) maximum number of lines
  per paragraph.  That is, the total number of lines shown may well be more
  than this value if the layout contains multiple paragraphs of text.  The
  default value of -1 means that first line of each paragraph is ellipsized.
  Height setting only has effect if a positive width is set on @layout and
  ellipsization mode of @layout is not %%PANGO_ELLIPSIZE_NONE.
  The behavior is undefined if a height other than -1 is set and ellipsization
  mode is set to %%PANGO_ELLIPSIZE_NONE, and may change in the future.
  There are still bugs remaining to be fixed, notably bug 511172 (which will
  be fixed before 1.20), and bug 511171 (which will be fixed in a future
  version).
- New command-line arguments to pango-view: --height and --single-par.
- Make the following symbols available to engines:
  PANGO_IS_OT_INFO
  PANGO_IS_OT_RULESET
  PANGO_OT_INFO
  PANGO_OT_RULESET
  PANGO_TYPE_OT_INFO
  PANGO_TYPE_OT_RULESET
  pango_ot_info_get_type
  pango_ot_ruleset_get_type
- Bugs fixed in this release:
  bgo#508002 – change pango_layout_pixel_extents() to round logical rect
  to be inclusive
  bgo#469313 – Add pango_layout_set_height()
  bgo#508179 – PangoGlyphUnit confusion
  bgo#508381 – indent and center alignment don't mix
  bgo#508007 – Add option for single-paragraph mode to pango-view
  bgo#506284 – docs typo for pango_coverage_unref
  Patch from Christian Persch
  bgo#504802 – build failure: No rule to make target
  `pango-querymodules.1', needed by `all-am'. Stop.
  bgo#504585 – pango-querymodules.1 syntax error
  brc#426178: gtkdoc-scan fails on pango
* Thu Dec 20 2007 maw@suse.de
- Revert to using pango64.patch for the time being (#349940).
* Mon Dec 17 2007 maw@suse.de
- Remove references to README.SuSE
- s#%%run_ldconfig#/sbin/ldconfig#.
* Mon Dec 17 2007 maw@suse.de
- Replace pango64.patch with pango-biarch.patch (#346210)
- Concomitant with the above change, remove README.SuSE, as it is
  no longer necessary.
* Mon Dec 17 2007 maw@suse.de
- Update to version 1.19.2:
  + Bugs (bugzilla.gnome.org) fixed: #485536, #500549, #492517,
    [#495091], #502926, #399573, #478914, #501938, and #501575
  + Cleanups in the HarfBuzz code and merges with upstream/Qt changes
  + Document cairo examples and misc doc improvements
  + Use pkg-config to detect cairo features
  + New public macro: PANGO_GLYPH_INVALID_INPUT
  + Render a crossed box for each invalid input byte to
    pango_layout_set_text; previously an ASCII question mark was
    used; this crossed box has a glyph of value
    PANGO_GLYPH_INVALID_INPUT.
* Mon Nov 26 2007 maw@suse.de
- Actually remove the build root in %%clean.
* Fri Nov 23 2007 maw@suse.de
- Update to version 1.19.0:
  + Two OpenType engine fixes, which make Nafees Nastaliq font
    work great, and avoids warnings with some other fonts
  + Fix minor leak in win32 backend
  + Update list of languages to that of fontconfig-2.4.91
  + Various optimizations
  + Make sure all boxed type copy/free functions accept NULL as
    legitimate input; previously most were g_return_[val_]if_fail()ing
    it; this is mostly for convenience when writing code in C
  + Apply 'vkrn' GPOS feature in vertical writing
  + In pangofc, set "pangoversion" in pattern passed to fontconfig,
    such that font configuration can condition on being driven by
    Pango or not
  + Various optimizations and cleanups in the OpenType Layout
    engine, aka HarfBuzz
  + Changed APIs:
  * All PangoAttribute constructors are changed to initialize
    the attribute to the range [0..MAXUINT].  The range was
    undefined previously; all custom attribute constructors
    are recommended to call the new pango_attribute_init() to
    do the same
  * Public API change: Mark the following types as abstract:
    PangoFont
    PangoFontFace
    PangoFontFamily
    PangoFontMap
    PangoFcFont
    PangoFcFontMap
    PangoContext may be marked so in the future too
  * Make following macros public; previously they were only
    defined for backend/engine implementations:
    PANGO_GLYPH_EMPTY
    PANGO_GLYPH_UNKNOWN_FLAG
    PANGO_GET_UNKNOWN_GLYPH()
  + New public API:
  * Convenience for initializing custom attributes:
    pango_attribute_init()
  * Adding boxed type for PangoGlyphItem:
    PANGO_TYPE_GLYPH_ITEM
    pango_glyph_item_copy()
    pango_glyph_item_get_type()
  * Add missing copy function for a boxed type in C:
    pango_layout_iter_copy()
  * Add missing getter:
    pango_layout_iter_get_layout()
  * Convenience for writing custom PangoRenderer's:
    pango_renderer_get_layout()
    pango_renderer_get_layout_line()
  * PangoFc extensions to fontconfig's pattern syntax:
    PANGO_FC_GRAVITY
    PANGO_FC_VERSION
  + Bugs (bugzilla.gnome.org) fixed: #483600, #490661,
    [#489909], #488840, #486932, #486951, #485621, #485566,
    [#485559], #481537, #478865, #472924, #472629, #472303,
    [#471601], #471577, #471571, #471568, and #469641.
* Wed Sep 19 2007 maw@suse.de
- Add xorg-x11-libXdmcp as a prerequisite (#310640)
- Fix the source tarball's permissions.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 1.18.2:
  * require libthai >= 0.1.9 for enabling thai-lang module
  * bug fixes
* Wed Aug 29 2007 maw@suse.de
- Update to version 1.18.1:
  + Make pango_script_for_unichar() just call
    g_unichar_get_script() and document that PangoScript and
    GUnicodeScript are interchangeable enumerations
  + Bug fixes, including the following (bugzilla.gnome.org):
    [#470042], #468953, #463430, #348348, #451682, #462137, #462420,
    [#462630], #464183, #464270, #465174, #466755, #467056, and
    [#467077],
- Remove upstreamed pango-1.17.4-empty-string-corruption.patch.
* Tue Jul 31 2007 maw@suse.de
- Update to version 1.17,5
- Export PangoCairoFont and cleanup various standard macros
- Bugs (bugzilla.gnome.org) fixed: #150883, #449482, and part of
  [#347236].
* Tue Jul 31 2007 jpr@suse.de
- Fix memory corruption for empty line break call (#295662)
- Remove references to patch that no longer exists
* Thu Jul 26 2007 maw@suse.de
- Update to version 1.17.4
- Refactored the ATSUI font backend and install pangoatsui.h
  that has a single function pango_atsui_font_get_atsu_font_id() and
  a couple of types.
- Bugs [bugzilla.gnome.org] fixed in this release:
  Bug 451547 – FAIL: runtests.sh
  Bug 449543 - Ship pangoatsui.h
* Thu Jul  5 2007 maw@suse.de
- Update to version 1.17.3
- Extensive pangocairo internal code refactoring and cleanup
- New public API, new engine macros
- Many bugfixes.
* Wed Apr 11 2007 maw@suse.de
- Update to version 1.16.2
- Fixed various bug in the OpenType Layout code (HarfBuzz)
- Improved documentation
- Improved ATSUI backend
- Misc build system fixes
- Bugs fixed in this release:
  * Bug #417946 - pangowin32-fontmap.c:using function without prototype
  * Bug #419262 - Don't create coverage every time it's asked for
  (Both of these bugs are viewable at bugzilla.gnome.org)
- Refresh pango64.patch.
* Wed Mar 21 2007 maw@suse.de
- Update to version 1.16.1
- Fixes for b.g.o #120195, #407315, #355987, and #407087.
* Fri Feb 16 2007 maw@suse.de
- Update to version 1.15.6
- Remove bugzilla-53228-artificial-bold-and-italic.patch, which
  is now upstream.
* Wed Jan 17 2007 sbrabec@suse.cz
- Use correct library instance in scriptlets (#235626).
* Thu Dec  7 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Nov 27 2006 sbrabec@suse.cz
- Use correct PreReq for older products.
* Thu Nov 23 2006 sbrabec@suse.cz
- Fixed scriptlets for bi-arch (#223149).
* Sat Oct 14 2006 danw@suse.de
- Remove dead patch
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 1.14.5
- Indic shaper fixes
- Misc bug fixes
* Sun Sep 17 2006 ro@suse.de
- added prereqs for postinstall script
* Wed Sep 13 2006 jhargadon@suse.de
- update to version 1.14.3
- Win32 build improvement
- Bug 353525 ¿ libpangoft2-1.0.so.0: undefined reference to
  `pango_font_description_get_gravity'
- Bug 349813 ¿ typo in docs for pango_layout_move_cursor_visually
* Mon Sep  4 2006 sbrabec@suse.cz
- Removed SuSEconfig.pango (FATE#300947).
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 1.14.2
- Find shaper/font for Private Use and space characters
* Thu Aug 17 2006 jhargadon@suse.de
- update to version 1.14.0
- Make pango-view accept non-ASCII --text
- Require cairo-1.2.2 for the important bug fixes it has.
* Mon Jul 31 2006 gekker@suse.de
- Update to version 1.13.4
  * Update to Unicode Character Database 5.0.0.
  * Misc fixes.
  * Bugs fixed in this release:
    Bug 336282 Ð Update to Unicode Character Database 5.0.0
    Bug 347073 Ð Allow empty GPOS table
    Bug 347021 Ð atsui crash when a matching font cannot be found.
    Patch from Brian Tarricone.
* Fri Jul 28 2006 gekker@suse.de
- Update to version 1.13.3
- Remove upstreamed patches
  * New public API:
  - pango_glyph_string_get_width
  * Improved hexbox drawing, and font metrics calculations.
  * New public API:
  - pango_cairo_show_error_underline
  - pango_cairo_error_underline_path
  - pango_font_describe_with_absolute_size
  * Increased robustness against broken pango.modules
  * Fix incorrect rendering when in x86 64-bit precision mode
  * Fix non-OpenType fonts losing kerning in 1.12.0 [#336026, Denis Jacquerye]
  * Moved the OpenType Layout code into a new project called HarfBuzz
  * Insert '?' chars instead of invalid UTF-8 sequences in
    pango_layout_set_text [#33195]
  * Fix a few crashers, especially when a font cannot be read. [#314239]
  * Change some g_critical's to g_warning, where it's not application's
    fault. [#331723]
  * Major change in the low-level interface of Pango.  The special value
    PANGO_GLYPH_EMPTY is now defined to mean a "draw nothing" glyph.  This
    was what glyph 0 was used for previously.  As a result, bumped up the
    Pango module version, meaning that modules compiled against earlier
    versions are probably not compatible with this release. [#73147]
  * New framework in examples for building a binary called pango-view,
    that can be used to render a text file using any of the available
    backends.  This is installed into bindir now.
  * Enhancements to the FT2 backend, to draw boxes on missing glyphs.
  * Better hexbox drawing for cairo backend:  Hinting hexbox, and
    drawing a single-row hexbox for very small font sizes.
  * Do not crash if the shapers fail.
  * Draw hex box on missing glyphs for cairo-fc backend.
  * New --with-dynamic-modules option added to configure.
  * ATSUI support for the cairo backend. [Anders Carlsson]
  * Draw a dashed empty box on missing glyphs for cairo-fc backend.
  * Support OpenType features for basic (Latin/Greek/...) module.
  * Support swash feature in Arabic module.
  * Line-breaking algorithm updated to Unicode 4.1.
  * Code borrowed from GNU FriBidi resynched to version 1.0.7.
* Tue May  2 2006 federico@novell.com
- Added pango-104365-use-hinted-metrics.diff to fix the Pango-related
  part of https://bugzilla.novell.com/show_bug.cgi?id=104365.  This
  makes Pango request hinted font metrics from Cairo/Fontconfig, even
  when we are using unhinted rendering.  This is what applications
  expect; they would draw overlapping glyphs otherwise.
* Mon Apr 24 2006 federico@novell.com
- Added pango-131128-font-extents-rounding.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=131128.  This makes
  PangoCairoFcFont round the font extents before exposing them to
  callers, which produces better results with unhinted /
  un-antialiased displays.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Fri Dec 30 2005 mfabian@suse.de
- Bugzilla #53228: Enhance pango to support artifical bold and
  italic (add patch by Zhe Su).
* Wed Dec 14 2005 sbrabec@suse.cz
- Added related old version cleanups (feature #2852).
* Wed Nov 30 2005 sbrabec@suse.cz
- Update to version 1.10.2.
* Tue Oct 11 2005 gekker@suse.de
- Update to version 1.10.1
* Thu Aug 18 2005 gekker@suse.de
- Update to version 1.10.0
* Mon Aug  1 2005 gekker@suse.de
- Update to version 1.9.1
* Thu Jul 21 2005 gekker@suse.de
- Update to version 1.9.0
* Thu Jun 23 2005 sbrabec@suse.cz
- Fixed devel dependencies.
- Removed .la files for modules.
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Tue Mar  8 2005 gekker@suse.de
- Update to version 1.8.1 (GNOME 2.10).
* Mon Jan  3 2005 gekker@suse.de
- Update to version 1.8.0
* Wed Dec 15 2004 gekker@suse.de
- Update to version 1.7.0
* Wed Nov 17 2004 gekker@suse.de
- Update version to 1.6.0.
* Wed Oct 20 2004 ro@suse.de
- make specfile rpm-3-save
* Thu Aug 26 2004 federico@ximian.com
- Updated to pango 1.4.1
- Removed pango-strict-aliasing.patch, as an equivalent patch is in
  the tarball now
* Fri May 21 2004 sbrabec@suse.cz
- Added ottest to devel package.
* Tue Apr 27 2004 sbrabec@suse.cz
- Fixed pango64.patch.
* Mon Apr 19 2004 sbrabec@suse.cz
- Strict aliasing fix.
* Thu Apr 15 2004 sbrabec@suse.cz
- Updated to version 1.4.0 (GNOME 2.6).
* Thu Mar 11 2004 sbrabec@suse.cz
- Use SuSEconfig biarch wrapper and identical filename for all
  platforms.
- Include README.SuSE about biarch problems.
* Tue Mar  2 2004 sbrabec@suse.cz
- Bi-arch work-arounds to prevent 32/64 bit conflicts (bug #33705).
  For more see http://bugzilla.gnome.org/show_bug.cgi?id=129534
* Mon Mar  1 2004 sbrabec@suse.cz
- Fixed random crashes of gnome-terminal using mc (bug #29850).
  http://bugzilla.gnome.org/show_bug.cgi?id=89541
- Use run-pango in %%postun, too.
- Build with -fno-strict-aliasing.
* Tue Jan  6 2004 adrian@suse.de
- fix build
* Mon Oct  6 2003 kukuk@suse.de
- Remove unused atk from neededforbuild
* Mon Sep  8 2003 sbrabec@suse.cz
- Removed invalid %%postun.
* Fri Sep  5 2003 sbrabec@suse.cz
- Fixed rmdir in %%postun.
* Fri Sep  5 2003 sbrabec@suse.cz
- Remove orphan files from SuSE 8.2.
* Thu Aug 28 2003 sbrabec@suse.cz
- Updated to version 1.2.5.
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 12 2003 sbrabec@suse.cz
- Branched pango-doc.
- Updated file list.
- Fixed calling of aclocal.
* Wed Jun 11 2003 sbrabec@suse.cz
- Updated to version 1.2.3.
- Fixed directory packaging.
- Require gnome-filesystem for pango-devel (for docs).
- Updated neededforbuild.
* Mon Apr 28 2003 sf@suse.de
- added fontconfig* to neededforbuild, to compile pangoft2
* Fri Feb 21 2003 hhetter@suse.de
- PreReq touch (Bug Id#23897)
* Mon Feb  3 2003 hhetter@suse.de
- updated to version 1.2.1:
  * Handle older TrueType Open Arabic fonts.
  * Make Win32 backend handle a common TrueType font bug
  * Fix crash with some non-BMP characters
  * Avoid crashing on font descriptions like " 12"
  * Minor build fixes
* Mon Jan 13 2003 sbrabec@suse.cz
- Added expat to neededforbuild (for new xft2).
* Thu Jan  9 2003 sbrabec@suse.cz
- Updated to version 1.2.0.
* Thu Nov  7 2002 hhetter@suse.de
- updated to version 1.0.5
  * Bug fix for pango_scan_int() needed for recent GTK+.
  * Improve language specific charset ordering basic-x11
  * Fix symbols that shouldn't have been exported
  * Some cross-compiling fixes
  * Various build fixes
  * Fix check for no-backend being found.
* Tue Oct 22 2002 sbrabec@suse.cz
- Remove obsolette install -d -m755 $RPM_BUILD_ROOT/var/adm/SuSEconfig.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 hhetter@suse.de
- disabled qt support (#17642)
* Mon Aug  5 2002 hhetter@suse.de
- updated to version 1.0.4, from changes:
  * Add Thai shaper for Xft
  * Support GB-18030, BIG5-HKSCS, CNS-11643, GBK encodings for
  basic-x shaper
  * Support ksc5601.1992-3 fonts in hangul-x shpaer
  * Support new Arabic characters in Unicode 3.2
  * misc Bug fixes
* Mon Jun 17 2002 jordi@suse.de
- Updated to version 1.0.3
  * Change algorithm for mapping points to pixels on
  Windows to match the system method.
  * Fix family listing for the FT2 backend.
  * Fix memory leak in pango_font_real_get_metrics()
  * Some compilation warning fixes.
  * Fix passing attr_list == NULL to pango_parse_markip
* Thu Jun 13 2002 ro@suse.de
- fix autotools sequence
* Wed Jun 12 2002 hhetter@suse.de
- correctly touch the run-pango flag
* Wed Jun 12 2002 hhetter@suse.de
- fix SuSEconfig script
* Tue Jun  4 2002 hhetter@suse.de
- update to version 1.0.2 of the stable series
  * Support building with FreeType 2.1.0
  * List Sans,Serif,Monospace when listing fonts for the
  Xft and FT2 backends.
  * Portability fixes.
  * Fix problem with pango-querymodules using g_print().
* Tue Apr 30 2002 meissner@suse.de
- %%_lib fixes
* Mon Apr 15 2002 hhetter@suse.de
- fix config script to work with correct path
* Tue Apr  9 2002 hhetter@suse.de
- filelist correction
* Tue Apr  9 2002 hhetter@suse.de
- updated to version 1.0.1
* Thu Jan 31 2002 hhetter@suse.de
- updated to version 0.24 [GNOME desktop-alpha2]
* Thu Jan 17 2002 hhetter@suse.de
- delete SuSEconfig-run-flag after registering pango modules
* Thu Jan 17 2002 ro@suse.de
- re-added .so symlinks to devel filelist (without wildcards)
* Wed Jan 16 2002 hhetter@suse.de
- added SuSEconfig script to register the pango modules
- fixed filelist
* Tue Jan 15 2002 hhetter@suse.de
- fixed filelist
* Fri Jan 11 2002 hhetter@suse.de
- updated to version 0.23:
  * Documentation improvements
  * Win32 fixes
  * Improve search for XftConfig
  * Fixes for crashes in Hangul shaper
  * Improvements to Arabic shapers for X and Xft
  * Add jisx0212, jisx0201, Big5 support to basic shaper
* Wed Jan  9 2002 hhetter@suse.de
- enable freetype2 support
* Tue Dec 11 2001 hhetter@suse.de
- really build pangox and pango
* Tue Dec 11 2001 hhetter@suse.de
- added LIBRARY_PATH for broken libtool
* Tue Nov 27 2001 hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform (pango 0.22)
